#!BuildIgnore:          post-build-checks

# sweep user
%define SWEEPUID 90

# sweep group
%define SWEEPGID 90

# sweep home
%define SWEEP_HOME /var/lib/sav

Name:		sophos-av
Summary:	Sophos Antivirus
Group:		System/Security
Version:	5.00
Release:	1.1
Url:		http://www.sophos.com/
License:	unknown
%ifnarch x86_64
Source0:	http://downloads.sophos.com/dp/full/linux.intel.libc6.glibc.2.2.tar.Z
%else
Source0:	http://downloads.sophos.com/dp/full/linux.amd64.glibc.2.3.tar.Z
%endif
Source1:	esunix_sen.pdf	
Source2:	esunix_men.pdf
Source3:	sophos-rpmlintrc
Patch0:		sophos-permission.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Provides:	libsavi >= 3
BuildRequires:	qmail_prepare_build procps
%if 0%{?suse_version}
Requires:       openldap2-client
%endif

%if 0%{?suse_version} >= 1030
Requires:       pwdutils
%endif

%if 0%{?suse_version} >= 1110
BuildRequires:	chrpath
%endif

%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:  shadow-utils
Requires:       shadow-utils
%endif


%description
Sophos Antivirus for linux (sweep).


%prep
%setup0 -n sav-install
%patch0
cp %{S:1} .
cp %{S:2} .

%build
%__mkdir_p %{buildroot}%{_prefix}/bin
%__mkdir_p %{buildroot}%{_prefix}/%{_lib}
%__mkdir_p %{buildroot}%{_mandir}
%__mkdir_p %{buildroot}%{_localstatedir}/%{_lib}/sav
%__mkdir_p %{buildroot}%{_localstatedir}/spool/intercheck
%__mkdir_p %{buildroot}%{_prefix}/local

%install
./install.sh -v -d %{buildroot}%{_prefix} -l %{buildroot}%{_libdir} -m %{buildroot}%{_mandir} -s %{buildroot}%{_localstatedir}/%{_lib}/sav -so -i %{buildroot}%{_localstatedir}/spool/intercheck
cd %{buildroot}%{_mandir}
#for TARGET in ja_JP ja_JP.euc ja_JP.eucJP ja_JP.ujis japanese japanese.euc
rm -rf ja
for TARGET in ja_JP ja_JP.eucJP ja_JP.ujis japanese japanese.euc
do
rm -f ${TARGET}
ln -sf %{_mandir}/jp.eucjp ${TARGET}
done

for TARGET in ja_JP.utf8 ja_JP.UTF-8
do
rm -rf ${TARGET}
ln -sf %{_mandir}/jp.utf ${TARGET}
done

cd %{buildroot}%{_prefix}/local
ln -sf %{_localstatedir}/%{_lib}/sav

%if 0%{?suse_version} >= 1110
chrpath -d %{buildroot}%{_bindir}/icheckd
chrpath -d %{buildroot}%{_bindir}/sweep
%endif

%post
# sweep
if [ -z "`%__grep "^sweep:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{SWEEPGID} sweep
fi
if [ -z "`%__grep "^sweep" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "sweep" -d %{SWEEP_HOME} -g %{SWEEPGID} -u %{SWEEPUID} -r -s /bin/false sweep
fi
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc esunix_*.pdf
%{_bindir}/icheckd
%{_bindir}/sweep
%{_libdir}/libsavi.so
%{_libdir}/libsavi.so.2
%{_libdir}/libsavi.so.3*
%{_mandir}/de/man1/icheckd.1.gz
%{_mandir}/de/man1/sweep.1.gz
%{_mandir}/de/man5/icheckd.conf.5.gz
%{_mandir}/es/man1/icheckd.1.gz
%{_mandir}/es/man1/sweep.1.gz
%{_mandir}/es/man5/icheckd.conf.5.gz
%{_mandir}/fr/man1/icheckd.1.gz
%{_mandir}/fr/man1/sweep.1.gz
%{_mandir}/fr/man5/icheckd.conf.5.gz
%{_mandir}/it/man1/icheckd.1.gz
%{_mandir}/it/man1/sweep.1.gz
%{_mandir}/it/man5/icheckd.conf.5.gz
%{_mandir}/ja_JP
%{_mandir}/ja_JP.eucJP
%{_mandir}/ja_JP.ujis
%{_mandir}/japanese
%{_mandir}/japanese.euc
%{_mandir}/ja_JP.UTF-8
%{_mandir}/ja_JP.utf8
%dir %{_mandir}/jp.eucjp
%dir %{_mandir}/jp.eucjp/man1
%dir %{_mandir}/jp.eucjp/man5
%{_mandir}/jp.eucjp/man1/icheckd.1.gz
%{_mandir}/jp.eucjp/man1/sweep.1.gz
%{_mandir}/jp.eucjp/man5/icheckd.conf.5.gz
%dir %{_mandir}/jp.utf
%dir %{_mandir}/jp.utf/man1
%dir %{_mandir}/jp.utf/man5
%{_mandir}/jp.utf/man1/icheckd.1.gz
%{_mandir}/jp.utf/man1/sweep.1.gz
%{_mandir}/jp.utf/man5/icheckd.conf.5.gz
%{_mandir}/man1/icheckd.1.gz
%{_mandir}/man1/sweep.1.gz
%{_mandir}/man5/icheckd.conf.5.gz
%attr (2775,sweep,sweep) %dir %{_localstatedir}/%{_lib}/sav
%{_localstatedir}/%{_lib}/sav/eminstall.sh
%{_localstatedir}/%{_lib}/sav/icmess.dat
%{_localstatedir}/%{_lib}/sav/sus01.vdb
%{_localstatedir}/%{_lib}/sav/svext.dat
%{_localstatedir}/%{_lib}/sav/swpmess.dat
%{_localstatedir}/%{_lib}/sav/vdl*
%{_localstatedir}/%{_lib}/sav/xvdl*
%{_prefix}/local/sav

%changelog
* Thu May 22 2014 cs@linux-administrator.com
- Update to release 5.00
* Tue Feb 25 2014 cs@linux-administrator.com
- Update to release 4.98
* Tue Dec 17 2013 cs@linux-administrator.com
- Update to release 4.96
* Fri Oct 25 2013 cs@linux-administrator.com
- Update to release 4.94
* Thu Sep 19 2013 cs@linux-administrator.com
- Update to release 4.93
* Wed Jul 17 2013 cs@linux-administrator.com
- Update to release 4.91
* Thu Jun 20 2013 cs@linux-administrator.com
- Update to release 4.90
* Wed May  8 2013 cs@linux-administrator.com
- Update to release 4.89
* Sat Apr 20 2013 cs@linux-administrator.com
- Update to release 4.88
* Thu Mar 21 2013 cs@linux-administrator.com
- Update to release 4.87
* Thu Feb 14 2013 cs@linux-administrator.com
- Update to release 4.86
* Fri Jan 11 2013 cs@linux-administrator.com
- Update to release 4.85
* Sun Dec 16 2012 cs@linux-administrator.com
- Update to release 4.84
* Sun Dec  2 2012 cs@linux-administrator.com
- Update to release 4.83
* Fri Oct  5 2012 cs@linux-administrator.com
- Update to release 4.81
* Mon Sep 10 2012 cs@linux-administrator.com
- Update to release 4.80
* Mon Jul  9 2012 cs@linux-administrator.com
- Update to release 4.79
* Sat Jun 16 2012 cs@linux-administrator.com
- Update to release 4.78
* Sat May 12 2012 cs@linux-administrator.com
- Update to release 4.77
* Wed Apr 11 2012 cs@linux-administrator.com
- Update to release 4.76
* Sat Mar 17 2012 cs@linux-administrator.com
- Update to release 4.75
* Sun Feb 19 2012 cs@linux-administrator.com
- Update to release 4.74
* Fri Jan  6 2012 cs@linux-administrator.com
- Update to release 4.73
* Thu Dec 15 2011 cs@linux-administrator.com
- Update to release 4.72
* Sun Nov  6 2011 cs@linux-administrator.com
- Update to release 4.71
* Mon Oct 10 2011 cs@linux-administrator.com
- Update to release 4.70
* Sat Sep  3 2011 cs@linux-administrator.com
- Update to release 4.69
* Sun Jul 17 2011 cs@linux-administrator.com
- Update to release 4.67
